SolrObject::offsetExists
SolrObject::offsetSet
SolrObject
PHP Manual

# SolrObject::offsetGet

(PECL solr >= 0.9.2)

SolrObject::offsetGet — Used to retrieve a property

### Description

public mixed SolrObject::offsetGet ( string `$property_name` )

Used to get the value of a property. This is used when the object is treated as an array.

### Parameters

`property_name`

  Name of the property.

### Return Values

Returns the property value.

SolrObject::offsetExists
SolrObject::offsetSet
SolrObject
PHP Manual